
/* ---------------------- Custom text highlight colour  ---------------------- */

::-moz-selection {
  /* Firefox */
  color: #E8E8E8;
  background: #161616;
}

::selection {
  color: #E8E8E8;
  background: #161616;
}


/* ---------------------- Accordion by Osmo  ---------------------- */

/* Animate Accordion Bottom Grid */

.accordion-css__item-bottom {
  transition: grid-template-rows 0.6s cubic-bezier(0.625, 0.05, 0, 1);
}

[data-accordion-status="active"] .accordion-css__item-bottom {
  grid-template-rows: 1fr;
}


.accordion-css__item-icon {
  transition: transform 0.6s cubic-bezier(0.625, 0.05, 0, 1);
}

[data-accordion-status="active"] .accordion-css__item-icon {
  transform: rotate(0.001deg);
}

/* ---------------------- Image Preview Cursor Follower by Osmo, changed  ---------------------- */

.preview-follower__inner,
.preview-follower__label{
  transition: opacity 0.1s ease, transform 0.6s cubic-bezier(0.65, 0.1, 0, 1);
}

/* html:not(.wf-design-mode) */ .preview-follower__inner{
  opacity: 0;
  transform: scale(0);
}

/* html:not(.wf-design-mode) */ .preview-follower__label{
  /* changed: slide up from below instead of scaling */
  opacity: 0;
  transform: translateY(100%);
  transition: opacity 0.6s ease, transform 0.6s cubic-bezier(0.65, 0.1, 0, 1);
}

.preview-follower [data-follower-visual]{
  display: block;
  width: 100%;
  height: 100%;
  z-index: 0;
}


@media (hover: hover) and (min-width: 992px){

  body:has( [data-follower-collection]:hover) .preview-follower__inner{
    opacity: 1;
    transform: scale(1);	
  }

  body:has( [data-follower-collection]:hover) .preview-follower__label{
    /* changed: slide up from below instead of scaling */
    opacity: 1;
    transform: translateY(0);
  }

  body:has( .preview-item:hover) .preview-item:not(:hover){
  	opacity: 0.5;
  }

  /* only show hover col when its parent is hovered */
  .preview-item .preview-item__col-hover{
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.6s ease;
  }

  .preview-item:hover .preview-item__col-hover{
    opacity: 1;
    pointer-events: auto;
  }
}


/* ---------------------- Bunny HLS Video Background by Osmo  ---------------------- */

/* Animation */
[data-bunny-background-init] :is(.bunny-bg__placeholder, .bunny-bg__loading) {
  transition: opacity 0.3s linear, visibility 0.3s linear;
}

/* Placeholder */
[data-bunny-background-init][data-player-status="playing"] .bunny-bg__placeholder,
[data-bunny-background-init][data-player-status="paused"] .bunny-bg__placeholder,
[data-bunny-background-init][data-player-activated="true"][data-player-status="ready"] .bunny-bg__placeholder {
  opacity: 0;
  visibility: hidden;
}

/* Play/Pause */
[data-bunny-background-init][data-player-status="playing"] .bunny-bg__play-svg,
[data-bunny-background-init][data-player-status="loading"] .bunny-bg__play-svg {
  display: none;
}

[data-bunny-background-init][data-player-status="playing"] .bunny-bg__pause-svg,
[data-bunny-background-init][data-player-status="loading"] .bunny-bg__pause-svg{
  display: block;
}

/* Loading */
[data-bunny-background-init][data-player-status="loading"] .bunny-bg__loading {
  opacity: 1;
  visibility: visible;
}

/* ---------------------- Bunny HLS Video Basic by Osmo  ---------------------- */

/* Animation */
[data-bunny-player-init] :is(.bunny-player__placeholder, .bunny-player__dark, .bunny-player__playpause, .bunny-player__loading) {
  transition: opacity 0.3s linear, visibility 0.3s linear;
}

/* Placeholder */
[data-bunny-player-init][data-player-status="playing"] .bunny-player__placeholder,
[data-bunny-player-init][data-player-status="paused"] .bunny-player__placeholder,
[data-bunny-player-init][data-player-activated="true"][data-player-status="ready"] .bunny-player__placeholder {
  opacity: 0;
  visibility: hidden;
}


/* Loading */
[data-bunny-player-init][data-player-status="loading"] .bunny-player__loading {
  opacity: 1;
  visibility: visible;
}

/* Cover Mode */
[data-bunny-player-init][data-player-update-size="cover"] {
  height: 100%;
  top: 0;
  left: 0;
  position: absolute;
}

[data-bunny-player-init][data-player-update-size="cover"] [data-player-before] {
  display: none;
}

[data-bunny-player-init][data-player-update-size="cover"][data-player-fullscreen="false"] .bunny-player__video {
  object-fit: cover;
}